config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

find etc/rspamd -type f -name '*.new' \
 | while read new ; do config $new ; done

preserve_perms etc/rc.d/rc.rspamd.new
( cd usr/bin ; rm -rf rspamadm )
( cd usr/bin ; ln -sf rspamadm-3.1 rspamadm )
( cd usr/bin ; rm -rf rspamc )
( cd usr/bin ; ln -sf rspamc-3.1 rspamc )
( cd usr/bin ; rm -rf rspamd )
( cd usr/bin ; ln -sf rspamd-3.1 rspamd )
